org.infinispan.schematic.internal.document

## Class ImmutableField

- java.lang.Object
- - org.infinispan.schematic.internal.document.ImmutableField

- All Implemented Interfaces:
    Comparable<Document.Field>, Document.Field

      @Immutable
      public class ImmutableField
      extends Object
      implements Document.Field

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImmutableField(String name, Object value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Document.Field that)`
    `boolean` | `equals(Object obj)`
    `String` | `getName()` Get the name of the field
    `Object` | `getValue()` Get the value of the field.
    `Binary` | `getValueAsBinary()`
    `boolean` | `getValueAsBoolean()`
    `Document` | `getValueAsDocument()`
    `Double` | `getValueAsDouble()`
    `Integer` | `getValueAsInt()`
    `Number` | `getValueAsNumber()`
    `Pattern` | `getValueAsPattern()`
    `String` | `getValueAsString()`
    `UUID` | `getValueAsUuid()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImmutableField

          public ImmutableField(String name,
                        Object value)

  - ### Method Detail

    - #### compareTo

          public int compareTo(Document.Field that)

      Specified by:
        `compareTo` in interface `Comparable<Document.Field>`

    - #### getName

          public String getName()

      Description copied from interface: `Document.Field`
      Get the name of the field
      Specified by:
        `getName` in interface `Document.Field`
      Returns:
        the field's name; never null

    - #### getValue

          public Object getValue()

      Description copied from interface: `Document.Field`
      Get the value of the field.
      Specified by:
        `getValue` in interface `Document.Field`
      Returns:
        the field's value; may be null

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getValueAsString

          public String getValueAsString()

      Specified by:
        `getValueAsString` in interface `Document.Field`

    - #### getValueAsInt

          public Integer getValueAsInt()

      Specified by:
        `getValueAsInt` in interface `Document.Field`

    - #### getValueAsBoolean

          public boolean getValueAsBoolean()

      Specified by:
        `getValueAsBoolean` in interface `Document.Field`

    - #### getValueAsBinary

          public Binary getValueAsBinary()

      Specified by:
        `getValueAsBinary` in interface `Document.Field`

    - #### getValueAsDocument

          public Document getValueAsDocument()

      Specified by:
        `getValueAsDocument` in interface `Document.Field`

    - #### getValueAsNumber

          public Number getValueAsNumber()

      Specified by:
        `getValueAsNumber` in interface `Document.Field`

    - #### getValueAsPattern

          public Pattern getValueAsPattern()

      Specified by:
        `getValueAsPattern` in interface `Document.Field`

    - #### getValueAsDouble

          public Double getValueAsDouble()

      Specified by:
        `getValueAsDouble` in interface `Document.Field`

    - #### getValueAsUuid

          public UUID getValueAsUuid()

      Specified by:
        `getValueAsUuid` in interface `Document.Field`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.